import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

 
public class Man extends Actor
{
    private int speed;

    /**
     * Contructor: Initialise the floating speed to a random value.
     */
    public Man()
    {
        speed = Greenfoot.getRandomNumber(2) + 4;
        //GreenfootImage img1 = new GreenfootImage("leaf-green.png");
        //GreenfootImage img2 = new GreenfootImage("leaf-brown.png");
    }

    /** 
     * Float along, right to left. Disappear when reaching the left edge.
     */
    public void act() 
    {
        setLocation(getX()-speed, getY());

        if (getX() == 0) 
        {
            getWorld().removeObject(this);
        }
    }   

    private void checkMouseClick()
    {
        turn(5);
    }
}